// cDialog.h: interface for the cDialog class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CDIALOG_H__11E88564_AC09_11D2_9121_7C2706C10000__INCLUDED_)
#define AFX_CDIALOG_H__11E88564_AC09_11D2_9121_7C2706C10000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "cWindow.h"
#include "cCommonControl.h"

class cDialog : public cWindow{
protected:
	virtual LRESULT Proc(UINT uMsg, WPARAM wParam, LPARAM lParam);
	int ReturnValue;
	BOOL MessageLooping;

	int MessageLoop();
	virtual BOOL Create(cWindow *_pParent) = 0;
	void End(int Result);

public:
	cDialog();
	virtual ~cDialog();

	virtual int DoModal(cWindow *_pParent);

};

#endif // !defined(AFX_CDIALOG_H__11E88564_AC09_11D2_9121_7C2706C10000__INCLUDED_)
